{
    num: -32190,
    accuracy: 95,
    basePower: 100,
    category: "Physical",
    name: "Meteor Strike",
    pp: 10,
    priority: 0,
    flags: { contact: 1, protect: 1, mirror: 1, metronome: 1 },
    basePowerCallback(pokemon, target, move) {
      if (this.field.getPseudoWeather("gravity")) {
        this.debug("gravity buff");
        return move.basePower * 2;
      }
      return move.basePower;
    },
    hasCrashDamage: true,
    onMoveFail(target, source, move) {
      if (!source.hasAbility("rockhead")) {
        this.damage(source.baseMaxhp / 2, source, source, this.dex.conditions.get("Meteor Strike"));
      }
    },
    onHit(target, source) {
      if (!source.hasAbility("rockhead") && this.field.getPseudoWeather("gravity")) {
        this.damage(source.baseMaxhp / 2, source, source, this.dex.conditions.get("Meteor Strike"));
      }
    },
    secondary: null,
    target: "normal",
    type: "Rock",
    contestType: "Tough"
}